wxWidgets: wxHTMLDataObject Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxHTMLDataObject Class Reference
Clipboard and Drag & Drop

`#include <wx/dataobj.h>`

Inheritance diagram for wxHTMLDataObject:
[legend]

## Detailed Description

wxHTMLDataObject is used for working with HTML-formatted text.

##

Library: wxCore
Category: Clipboard and Drag & Drop

See Also
  wxDataObject, wxDataObjectSimple

## Public Member Functions
| wxHTMLDataObject (const wxString &html=wxEmptyString)
| Constructor.
virtual wxString | GetHTML () const
| Returns the HTML string.
virtual void | SetHTML (const wxString &html)
| Sets the HTML string.
Public Member Functions inherited from wxDataObjectSimple
| wxDataObjectSimple (const wxDataFormat &format=wxFormatInvalid)
| Constructor accepts the supported format (none by default) which may also be set later with SetFormat().
virtual bool | GetDataHere (void *buf) const
| Copy the data to the buffer, return true on success.
virtual size_t | GetDataSize () const
| Gets the size of our data.
const wxDataFormat & | GetFormat () const
| Returns the (one and only one) format supported by this object.
virtual bool | SetData (size_t len, const void *buf)
| Copy the data from the buffer, return true on success.
void | SetFormat (const wxDataFormat &format)
| Sets the supported format.
Public Member Functions inherited from wxDataObject
| wxDataObject ()
| Constructor.
virtual | ~wxDataObject ()
| Destructor.
virtual void | GetAllFormats (wxDataFormat *formats, Direction dir=Get) const =0
| Copies all formats supported in the given direction dir to the array pointed to by formats.
virtual bool | GetDataHere (const wxDataFormat &format, void *buf) const =0
| The method will write the data of the format format to the buffer buf.
virtual size_t | GetDataSize (const wxDataFormat &format) const =0
| Returns the data size of the given format format.
virtual size_t | GetFormatCount (Direction dir=Get) const =0
| Returns the number of available formats for rendering or setting the data.
virtual wxDataFormat | GetPreferredFormat (Direction dir=Get) const =0
| Returns the preferred format for either rendering the data (if dir is `Get`, its default value) or for setting it.
virtual bool | SetData (const wxDataFormat &format, size_t len, const void *buf)
| Set the data in the format format of the length len provided in the buffer buf.
bool | IsSupported (const wxDataFormat &format, Direction dir=Get) const
| Returns true if this format is supported.

## Additional Inherited Members
Public Types inherited from wxDataObject
enum | Direction { Get = 0x01, Set = 0x02, Both = 0x03 }

## Constructor & Destructor Documentation

wxHTMLDataObject::wxHTMLDataObject | ( | const wxString & | html = `wxEmptyString` | ) |

Constructor.

## Member Function Documentation

virtual wxString wxHTMLDataObject::GetHTML | ( |  | ) | const
| virtual

Returns the HTML string.

virtual void wxHTMLDataObject::SetHTML | ( | const wxString & | html | ) |
| virtual

Sets the HTML string.